#!/bin/bash

#login on any cluster node

var=$1


# configuration
echo "---- Start Timestamp: `date` ----" > profile_WDS-$1.txt
echo "<<< Configuration Information >>>" >> profile_WDS-$1.txt
echo "" >> profile_WDS-$1.txt
echo "1.System Health Status" >> profile_WDS-$1.txt
echo "2.Pool/OSD Info" >> profile_WDS-$1.txt
echo "3.LUN Info" >> profile_WDS-$1.txt
echo "4.USS Gateway Info" >> profile_WDS-$1.txt
echo "5.NVMe-oF Info" >> profile_WDS-$1.txt

# 1.System Health Status
echo "" >> profile_WDS-$1.txt
echo "*********************************************" >> profile_WDS-$1.txt
echo "********* 1.System Health Status *********" >> profile_WDS-$1.txt
echo "*********************************************" >> profile_WDS-$1.txt
echo "" >> profile_WDS-$1.txt

cli_ts status >> profile_WDS-$1.txt

echo "" >> profile_WDS-$1.txt

# 2.Pool/OSD Info
echo "" >> profile_WDS-$1.txt
echo "*********************************************" >> profile_WDS-$1.txt
echo "********* 2.Pool Info *********" >> profile_WDS-$1.txt
echo "*********************************************" >> profile_WDS-$1.txt
echo "" >> profile_WDS-$1.txt
echo "------------------------------------------"  >> profile_WDS-$1.txt

cli_ts pool query --poolid=1 >> profile_WDS-$1.txt
cli_ts pool query --poolid=2 >> profile_WDS-$1.txt
cli_ts pool query --poolid=3 >> profile_WDS-$1.txt
cli_ts pool query --poolid=4 >> profile_WDS-$1.txt
cli_ts pool query --poolid=5 >> profile_WDS-$1.txt
cli_ts pool query --poolid=6 >> profile_WDS-$1.txt
cli_ts pool query --poolid=7 >> profile_WDS-$1.txt
cli_ts pool query --poolid=8 >> profile_WDS-$1.txt

echo "" >> profile_WDS-$1.txt


# 3.LUN Info
echo "" >> profile_WDS-$1.txt
echo "*********************************************" >> profile_WDS-$1.txt
echo "********* 3.LUN Info *****" >> profile_WDS-$1.txt
echo "*********************************************" >> profile_WDS-$1.txt
echo "" >> profile_WDS-$1.txt
echo "------------------------------------------"  >> profile_WDS-$1.txt

cli_ts vol list  >> profile_WDS-$1.txt

echo "" >> profile_WDS-$1.txt


# 4.USS Gateway Info
echo "" >> profile_WDS-$1.txt
echo "*********************************************" >> profile_WDS-$1.txt
echo "********* 4.USS Gateway Info *********" >> profile_WDS-$1.txt
echo "*********************************************" >> profile_WDS-$1.txt
echo "" >> profile_WDS-$1.txt
echo "------------------------------------------"  >> profile_WDS-$1.txt

cli_ts uss list >> profile_WDS-$1.txt

echo "" >> profile_WDS-$1.txt


# 5.NVMe-oF Info
echo "" >> profile_WDS-$1.txt
echo "*********************************************" >> profile_WDS-$1.txt
echo "********* 5.NVMe-oF Info *********" >> profile_WDS-$1.txt
echo "*********************************************" >> profile_WDS-$1.txt
echo "" >> profile_WDS-$1.txt
echo "------------------------------------------"  >> profile_WDS-$1.txt

cli_ts nvmf list_subsystem >> profile_WDS-$1.txt

echo "" >> profile_WDS-$1.txt


echo "---- End Timestamp: `date` ----" >> profile_WDS-$1.txt

