#!/bin/sh 

for node in {189..220}
do
    echo --------persist node:$node
    scp /home/persist_nvme.sh  10.1.100.$node:/home
    sshpass -p root@123 ssh -o StrictHostKeyChecking=no  root@10.1.100.$node   "bash /home/persist_nvme.sh"
    echo --------end persist node:$node
done

#create pv
pvlist=""
disklist=$(nvme list |grep SDS |awk '{print $1}' |grep -o nvme.*)
for disk in $disklist
do
    pvcreate /dev/wds/$disk
    pvlist="$pvlist /dev/wds/$disk"
done
echo "pvlist=$pvlist"


#create vg
vgcreate vg1 $pvlist

#create lvm
for i in {1..18}
do
	lvcreate -n asu1-$i -i 48 -I 512 -C y -L 640g vg1
done

for i in {1..18}
do
	lvcreate -n asu2-$i -i 48 -I 512 -C y -L 640g vg1
done

for i in {1..4}
do
	lvcreate -n asu3-$i -i 48 -I 512 -C y -L 640g vg1
done
